<?php

use Elementor\Controls_Manager;

add_action(
	'elementor/element/' . ALPHA_NAME . '_widget_animated_text' . '/section_animation/after_section_end',
	function( $self, $args ) {
		$self->add_control(
			'animate_infinite',
			array(
				'label'       => esc_html__( 'Animate Infinitely', 'alpha-core' ),
				'description' => esc_html__( 'Allow to animate infinitely.', 'alpha-core' ),
				'type'        => Controls_Manager::SWITCHER,
				'label_off'   => esc_html__( 'Off', 'alpha-core' ),
				'label_on'    => esc_html__( 'On', 'alpha-core' ),
				'default'     => 'yes',
			),
			array(
				'position' => array(
					'at' => 'after',
					'of' => 'split_type',
				),
			)
		);
	},
	10,
	2
);
